# Type alias LidarprofileClientConfig

LidarprofileClientConfig: {
autoWidth?: boolean;
margin?: {
[x: string]: number;
};
pointAttributes?: LidarPointAttributeList;
pointSum?: number;
tolerance?: number;
}

The object containing all points in profile

#### Type declaration

- ##### `Optional` autoWidth?: boolean

- ##### `Optional` margin?: {
  [x: string]: number;
  }

  - ##### [x: string]: number

- ##### `Optional` pointAttributes?: LidarPointAttributeList

- ##### `Optional` pointSum?: number

- ##### `Optional` tolerance?: number

- Defined in src/lidar/Utils.ts:57

Generated using TypeDoc